Draft: Tekst

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Text and the translation is 82% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft Rectangle.svg Prostokąt poprzedni:
następny: Wymiar Draft Dimension.svg Arrow-right.svg

Draft Text.svg Draft: Tekst

Lokalizacja w menu
Draft → Tekst
Środowisko pracy
Draft, Arch
Domyślny skrót
T E
Wprowadzono w wersji
0.7
Zobacz także
Draft: Label, Draft: ShapeString

Opis

Narzędzie Draft Text.svg Draft: Text wstawia wielowierszowe pole tekstowe w wybranym miejscu. Wykorzystuje on zestaw Draft Linestyle znajdujący się w zasobniku Draft: Tray.

Alternatywnie: Do utworzenia etykiety tekstowej z nagłówkiem i strzałką należy użyć narzędzia Draft: Label. Do utworzenia jednolitego tekstu lub liter 3D należy użyć narzędzia Draft: ShapeString z Part: Extrude.

Draft Text example.png

Pojedynczy punkt wymagany przy ustawianiu pola tekstowego

Uwaga: Teksty utworzone za pomocą funkcji z wydania 0.18 nie są wstecznie kompatybilne, więc wykonaj kopię zapasową swojego dzieła, jeśli próbujesz otworzyć pliki utworzone za pomocą programu w wersji 0.18 przy użyciu starszych wydań.

Użycie

  1. Naciśnij Draft Text.svg Draft: Tekst lub naciśnij przycisk T a następnie przyciski E.
  2. Kliknij punkt na widoku 3D, lub wpisz wartości odniesienia i naciśnij przycisk Draft AddPoint.svg dodaj punkt.
  3. Wprowadź żądany tekst, naciskając Enter między każdą linijką.
  4. Naciśnij Enter dwukrotnie, aby zakończyć operację.

Opcje

  • Aby ręcznie wprowadzić współrzędne, po prostu wprowadź liczby, a następnie naciśnij klawisz Enter pomiędzy każdą składową X, Y i Z. Możesz wcisnąć przycisk Draft AddPoint.svg dodaj punkt, gdy już wprowadzisz żądane wartości, aby wstawić punkt.
  • Przytrzymaj wciśnięty klawisz Ctrl podczas umieszczania tekstu, aby wymusić zatrzaśnięcie punktu do najbliższego miejsca przyciągania, niezależnie od odległości.
  • Naciśnij klawisz Enter lub ↓ Strzałka w dół, aby wprowadzić nowy wiersz tekstu.
  • Wciśnij klawisz ↑ strzałka w górę, aby edytować poprzedni wiersz tekstu.
  • Wciśnij dwukrotnie klawisz Enter lub ↓ Strzałka w dół, aby zakończyć edycję tekstu.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby przerwać bieżące polecenie.

Właściwości

Dane

  • DataTekst: określa zawartość bloku tekstowego jako listę łańcuchów; każdy element na liście, oddzielony przecinkiem, wskazuje nowy wiersz.
  • DataPozycja: określa punkt bazowy pierwszego wiersza bloku tekstowego.
  • DataKąt: określa kierunek obrotu pierwszego wiersza pierwszego wiersza bloku tekstowego.
  • Data: określa oś, która zostanie wykorzystana do wykonania obrotu.

Widok

  • ViewTryb wyświetlania: jeśli jest to "tekst 3D", tekst zostanie wyrównany do osi sceny, początkowo leżącej na płaszczyźnie XY; jeśli jest to "tekst 2D", tekst zawsze będzie zwrócony w stronę kamery.
  • ViewNazwa czcionki: określa czcionkę, której należy używać do rysowania tekstu. Może to być nazwa czcionki, np. Arial, styl domyślny, np. sans, serif lub mono, rodzina Arial, Helvetica, sans lub nazwa w stylu Arial:Bold. Jeśli dana czcionka nie znajduje się w systemie, stosuje się zamiast niej czcionkę standardową.
  • ViewWielkość czcionki: określa rozmiar liter. Jeżeli obiekt tekstowy jest tworzony w widoku drzewa, lecz nie jest widoczny żaden tekst, to należy zwiększyć rozmiar tekstu, aż będzie on widoczny.
  • ViewWyrównanie: określa, czy tekst wyrównuje się do lewej, prawej czy do środka punktu bazowego.
  • ViewRozstaw linii: określa odstęp między liniami tekstu.

Pisanie skryptów

Zobacz również: Draft API oraz Podstawy pisania skryptów dla FreeCAD.

Narzędzie Tekst może być używane w makrodefinicjach i z konsoli Python za pomocą następującej funkcji:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Tworzy obiekt Text, w punkcie point zdefiniowanym przez FreeCAD.Vector.
  • Lista łańcuchów stringlist to łańcuch, lub lista łańcuchów; jeżeli jest to lista, to każdy element jest wyświetlany w swoim wierszu.
  • Jeżeli wartość screen ma wartość True, to tekst jest zawsze zwrócony w kierunku obserwacji z kamery, w przeciwnym razie wyrównuje się z osiami sceny i leży na płaszczyźnie XY.

Umieszczenie tekstu Text może zostać zmienione poprzez nadpisanie jego atrybutu Placement, lub poprzez indywidualne nadpisanie jego atrybutów Placement.Base i Placement.Rotation.

Właściwości widoku Text można zmienić poprzez nadpisanie jego właściwości, np. nadpisać ViewObject.FontSize wartością nowego rozmiaru w milimetrach.

Przykład:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)
Arrow-left.svg Draft Rectangle.svg Prostokąt poprzedni:
następny: Wymiar Draft Dimension.svg Arrow-right.svg